# PyCyphOrm

A Minimalistic SQLite InMemory Encrypted ORM

## Usage

### Command Line Interface

```sh
usage: PyCyphORM [-h] [-i INIT] [-d FILEPATH]

A Minimalistic SQLite InMemory Encrypted ORM

options:
  -h, --help            show this help message and exit
  -i INIT, --init INIT  Initialize Salt and Password for
                        Encrypted Database
  -d FILEPATH, --decrypt FILEPATH
                        Descrypt SQLite Database
```

### Example

```python

from PyCyphORM.lib import load_config, ORM

cnf = load_config(".pyorm")
orm = ORM.instance(".cache", cnf["PASSWORD"], cnf["SALT"], {
    "Note": {
        "id": "INTEGER PRIMARY KEY AUTOINCREMENT",
        "title": "TEXT NOT NULL",
        "description": "TEXT NOT NULL",
        
    }
})

orm.model("Note").insert({
    "title": "Your Title #1",
    "description": "Your Descriptioj #2",
})

orm.save()

```